Magick::frameImage Class Reference

`#include <STL.h>`

## Public Member Functions

| frameImage (const Geometry &geometry_=frameGeometryDefault)
| frameImage (const size_t width_, const size_t height_, const ::ssize_t innerBevel_=6, const ::ssize_t outerBevel_=6)
void | operator() (Image &image_) const

## Detailed Description

Definition at line 554 of file STL.h.

## Constructor & Destructor Documentation

## frameImage() [1/2]

Magick::frameImage::frameImage | ( | const Geometry & | geometry_ = `frameGeometryDefault` | ) |

Definition at line 533 of file STL.cpp.

## frameImage() [2/2]

Magick::frameImage::frameImage | ( | const size_t | width_,
|  | const size_t | height_,
|  | const ::ssize_t | innerBevel_ = `6`,
|  | const ::ssize_t | outerBevel_ = `6`
| ) |  |

## Member Function Documentation

## operator()()

void Magick::frameImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 548 of file STL.cpp.

References Magick::Image::frame().

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp